!CODE

#---+---+---+---+---|---+---+---+---+---|---+---+---+---+---|---+---+---+---+---|---+---+---+---+---|
# 検査対象：時刻構造体 TM を正規化する機能
#---+---+---+---+---|---+---+---+---+---|---+---+---+---+---|---+---+---+---+---|---+---+---+---+---|

# データの取得
str = gets()
t_str =    (split(str,"/",0))			# 文字列 "YYYY-MM-DD HH:MM:SS"
t_add = int(split(str,"/",1))			# 整数値 秒

# 文字列 -> UNIXTIME
print("### "); t = strptime0("%Y-%m-%d %H:%M:%S",t_str); arry=t2tm0(t)

# 年月日の正規化＆結果の出力
arry.year += t_add; tm = tm_norm(arry); t = tm2t0(tm); print("%s " ,sdate0(t))
arry.mon  += t_add; tm = tm_norm(arry); t = tm2t0(tm); print("%s " ,sdate0(t))
arry.day  += t_add; tm = tm_norm(arry); t = tm2t0(tm); print("%s " ,sdate0(t))

# 文字列 -> UNIXTIME
print("### "); t = strptime0("%Y-%m-%d %H:%M:%S",t_str); arry=t2tm0(t)

# 時分秒の正規化＆結果の出力
arry.hour += t_add; tm = tm_norm(arry); t = tm2t0(tm); print("%s " ,stime0(t))
arry.min  += t_add; tm = tm_norm(arry); t = tm2t0(tm); print("%s " ,stime0(t))
arry.sec  += t_add; tm = tm_norm(arry); t = tm2t0(tm); print("%s\n",stime0(t))

!DATA
1970-01-02 03:04:05/   0/
### 1970-01-02 1970-01-02 1970-01-02 ### 03:04:05 03:04:05 03:04:05

1970-01-02 03:04:05/ +10/
### 1980-01-02 1980-11-02 1980-11-12 ### 13:04:05 13:14:05 13:14:15

1970-01-02 03:04:05/+100/
### 2070-01-02 2078-05-02 2078-08-10 ### 07:04:05 08:44:05 08:45:45
### 1970-01-01 1970-01-01 1970-01-01 ### 07:04:05 08:44:05 08:45:45

1970-01-02 03:04:05/ -10/
### 1960-01-02 1959-03-02 1959-02-20 ### 17:04:05 16:54:05 16:53:55

1970-01-02 03:04:05/-100/
### 1870-01-02 1861-09-02 1861-05-25 ### 23:04:05 21:24:05 21:22:25
### 1970-01-01 1970-01-01 1970-01-01 ### 23:04:05 21:24:05 21:22:25
